Get 26As Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/itr/get-26as-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/itr/get-26as-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/itr/get-26as-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/get-26as-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/get-26as-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/itr/get-26as-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/get-26as-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 123,
"message": "<string>",
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "SUCCESS",
"data": {
"assessment_year": "<unknown>",
"tds_data": [
{
"sr_no": "<unknown>",
"name_of_deductor": "<unknown>",
"total_amount_paid": "<unknown>",
"total_tax_deducted": "<unknown>",
"total_tds_deposited": "<unknown>",
"tan_of_deductor": "<unknown>",
"section": "<unknown>",
"transaction_date": "<unknown>",
"status_of_booking": "<unknown>",
"date_of_booking": "<unknown>",
"remarks": "<unknown>",
"amount_paid": "<unknown>",
"tax_deducted": "<unknown>",
"tds_deposited": "<unknown>"
}
]
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 123,
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "<string>",
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "<string>",
"message": "Source failure. Unable to process the request."
}ITR
26AS Details
The “Get 26as details” allows developers to retrieve comprehensive 26AS details related to income tax returns. Users can access detailed information pertaining to tax deducted at source (TDS) and other relevant documentation for tax verification purposes. This section provides essential data to help users ensure compliance with tax regulations and accurately assess their financial standing.
GET
/
v1
/
verification
/
itr
/
get-26as-details
Get 26As Details
curl --request GET \
--url https://production.deepvue.tech/v1/verification/itr/get-26as-details \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/itr/get-26as-details"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/itr/get-26as-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/itr/get-26as-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/itr/get-26as-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/itr/get-26as-details")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/itr/get-26as-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 123,
"message": "<string>",
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "SUCCESS",
"data": {
"assessment_year": "<unknown>",
"tds_data": [
{
"sr_no": "<unknown>",
"name_of_deductor": "<unknown>",
"total_amount_paid": "<unknown>",
"total_tax_deducted": "<unknown>",
"total_tds_deposited": "<unknown>",
"tan_of_deductor": "<unknown>",
"section": "<unknown>",
"transaction_date": "<unknown>",
"status_of_booking": "<unknown>",
"date_of_booking": "<unknown>",
"remarks": "<unknown>",
"amount_paid": "<unknown>",
"tax_deducted": "<unknown>",
"tds_deposited": "<unknown>"
}
]
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 123,
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "<string>",
"message": "<string>"
}{
"code": 123,
"timestamp": 123,
"transaction_id": "<string>",
"sub_code": "<string>",
"message": "Source failure. Unable to process the request."
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The unique identifier of the client for whom the 26AS details are being requested.
The Tax Deduction Account Number (TDS ID) used to retrieve specific tax details.